package com.ho.business.service.impl;

import com.ho.business.entity.VirtualDeviceRelation;
import com.ho.business.mapper.VirtualDeviceRelationMapper;
import com.ho.business.service.VirtualDeviceRelationService;
import com.ho.business.vo.resp.virtualDeviceRelation.VirtualDeviceRelationResp;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class VirtualDeviceRelationServiceImpl implements VirtualDeviceRelationService {

    @Autowired
    VirtualDeviceRelationMapper relationMapper;

    @Override
    public List<VirtualDeviceRelationResp> selectByParam(VirtualDeviceRelation vo) {
        List<VirtualDeviceRelationResp> list = relationMapper.selectByParam(vo);
        return list;
    }

    @Override
    public int insertOne(VirtualDeviceRelation vo) {
        int result = relationMapper.insertOne(vo);
        return result;
    }

    @Override
    public int insertList(List<VirtualDeviceRelation> list) {
        int result = relationMapper.insertList(list);
        return result;
    }

    @Override
    public int updateById(VirtualDeviceRelation vo) {
        int result = relationMapper.updateById(vo);
        return result;
    }

    @Override
    public int deleteByList(List<Integer> ids) {
        int result = relationMapper.deleteByList(ids);
        return result;
    }

    @Override
    public int deleteStationId(Integer stationId) {
        int result = relationMapper.deleteStationId(stationId);
        return result;
    }
}
